//
//  StatusTests.swift
//  
//
//  Created by Shadowfacts on 5/8/23.
//

import XCTest
@testable import Pachyderm

final class StatusTests: XCTestCase {

    func testDecode() {
        let data = """
{
    "id": "1",
    "uri": "https://example.com/a/1",
    "url": "",
    "account": {
        "id": "2",
        "username": "a",
        "acct": "a",
        "display_name": "",
        "locked": false,
        "created_at": 0,
        "followers_count": 0,
        "following_count": 0,
        "statuses_count": 0,
        "note": "",
        "url": "https://example.com/a"
    },
    "content": "",
    "created_at": 0,
    "emojis": [],
    "reblogs_count": 0,
    "favourites_count":  0,
    "sensitive": false,
    "spoiler_text": "",
    "visibility": "public",
    "media_attachments": [],
    "mentions": [],
    "tags": []
}
""".data(using: .utf8)!
        do {
            _ = try JSONDecoder().decode(Status.self, from: data)
        } catch {
            print(error)
            XCTFail()
        }
    }
    
}
